<template>
  <div class="bg-gray-100">
    <h1 class="text-4xl pt-5 px-10 ">
      Blog
    </h1>
    <h2 class="italic px-10 pt-3">
      Quelques articles techniques...
    </h2>

    <div v-if="articles && articles.length > 0">
      <div v-for="article in articles" :key="article.slug" class="bg-white p-10 m-10 rounded-lg">
        <BlogArticle :article="article" />
      </div>
    </div>
    <div v-else class="bg-yellow-100 m-20 p-10 font-bold">
      Aucun article n'a encore été publié.
    </div>
    <Pagination :current="current" :pages="total" :paginate="goToPage" />
  </div>
</template>

<script lang="ts">
import Vue from 'vue'
import Pagination from '~/components/shared/Pagination.vue'
import BlogArticle from '~/components/blog/BlogArticle.vue'

export default Vue.extend({
  components: { Pagination, BlogArticle },
  props: {
    current: {
      type: Number,
      default: () => 1
    },
    articles: {
      type: Array,
      default: () => []
    },
    total: {
      type: Number,
      default: () => 0
    }
  }, methods: {
    goToPage(page: number) {
      this.$router.push('/blog/' + page);
    }
  }
})
</script>
